<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "pgstmain";
$trandb = "pgsttran";
$formname = "Purchase GST Register";
$file = "pumultigstreg.php";

$zroot = $_SESSION["zdir"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$invno = $_POST["invno"];
$party = $_POST["party"];
$item = $_POST["item"];
$prodtype = $_POST["prodtype"];
$dtype = $_POST["dtype"];
$scope = $_POST["scope"];
$printnar = $_POST["prna"];
$gstperc = $_POST["gstperc"];

$dtypecond = "";
$mscopecond = "";
$itemcond = "";
$gstcond = "";
$prodtypecond = "";
$partycond = "";

$mfrmdate = trim($_POST["fdate"]);
$mtodate = trim($_POST["tdate"]);

if (!empty($party)) {
    $partycond = " AND `party`='$party' ";
}

if (!empty($salesman)) {
    $salemcond = " AND `salesman`='$salesman' ";
}

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`='$dtype' ";
}
if (!empty($scope)) {
    if ($scope == 1) {
        $mscopecond = " AND `unclaimgst`='$scope' ";
    } else {
        $mscopecond = " AND `unclaimgst`='' ";
    }
}


if (empty($_POST["fdate"])) {
    browse("From Date Cannot Be Empty");
    echo "<script>window.close();</script>";
}
if (empty($_POST["tdate"])) {
    browse("To Date Cannot Be Empty");
    echo "<script>window.close();</script>";
}

$getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` where
                           `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond $salemcond $mscopecond ORDER BY vouchdt ASC") or die(mysqli_error($conn));

$mfdt = date("d-m-Y", strtotime($mfrmdate));
$mtdt = date("d-m-Y", strtotime($mtodate));
if (isset($_POST["view"])) {
    include("includes/linkshead.php");
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }

        .dtype {
            background-color: #cccccc;
        }
    </style>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-striped table-condensed table-bordered table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th width='5%'>Sr</th>
                                <th width='5%'>Invoice</th>
                                <th width='9%'>Date</th>
                                <th width='23%'>Party</th>
                                <th width='5%'>GST No</th>
                                <th width='5%' class="text-right">Amount</th>
                                <th width='5%' class="text-right">Item Discount</th>
                                <th width='5%' class="text-right">Bill Discount</th>
                                <th width='5%' class="text-right">Packing</th>
                                <th width='5%' class="text-right">Taxable Value</th>
                                <th width='6%' class="text-right">GST 5%</th>
                                <th width='6%' class="text-right">GST 12%</th>
                                <th width='6%' class="text-right">GST 18%</th>
                                <th width='5%' class="text-right">GST 28%</th>
                                <th width='11%' class="text-right">Bill.Amt</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $ttotamt = 0;
                            $totpack = 0;
                            $totbill = 0;
                            $totitmpr = 0;
                            $totdisc = 0;
                            $tottaxamt = 0;
                            $totcgst = 0;
                            $totsgst = 0;
                            $totigst = 0;

                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name`,`gstno` FROM `accmast` WHERE `accode`='$pmain[party]'") or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);
                                $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'") or die(mysqli_error($conn));
                                $sale = mysqli_fetch_array($getsale);

                                $unclaimgst = $pmain["unclaimgst"];

                                $colr = "";
                                $unclaimhead = "";
                                if ($unclaimgst == "1") {
                                    $colr = "style='color:#ff006e'";
                                    $unclaimhead = " - Unclaimed GST";
                                }

                                $ctr++;
                                echo "<tr id='boldfont'>";
                                echo "<td>$ctr</td>";
                                echo "<td>$pmain[invno]</td>";
                                echo "<td>$pmain[mydt]</td>";
                                echo "<td $colr>$supp[name] $unclaimhead</td>";
                                echo "<td $colr>$supp[gstno]</td>";
                                echo "<td class='text-right'>$pmain[subtotal]</td>";
                                echo "<td class='text-right'>$pmain[litemdisc]</td>";
                                echo "<td class='text-right'>$pmain[discount]</td>";
                                echo "<td class='text-right'>$pmain[packing]</td>";
                                echo "<td class='text-right'>$pmain[tottaxamt]</td>";
                                echo "<td class='text-right'>$pmain[totgst5]</td>";
                                echo "<td class='text-right'>$pmain[totgst12]</td>";
                                echo "<td class='text-right'>$pmain[totgst18]</td>";
                                echo "<td class='text-right'>$pmain[totgst28]</td>";
                                echo "<td class='text-right'>$pmain[netamt]</td>";
                                echo "</tr>";

                                $ttotamt = $ttotamt + $pmain['subtotal'];
                                $totitmpr = $totitmpr + $pmain['litemdisc'];
                                $totdisc = $totdisc + $pmain['discount'];
                                $totpack = $totpack + $pmain['packing'];
                                $tottaxamt = $tottaxamt + $pmain['tottaxamt'];
                                $totgst5 = $totgst5 + $pmain['totgst5'];
                                $totgst12 = $totgst12 + $pmain['totgst12'];
                                $totgst18 = $totgst18 + $pmain['totgst18'];
                                $totgst28 = $totgst28 + $pmain['totgst28'];
                                $totbill = $totbill + $pmain['netamt'];

                                if ($_POST["dtype"] == 2) {

                                    echo "<tr style='height:10px;'>";
                                    echo "<td colspan='25'>";
                                    echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    echo "<th width='5%;'class='dtype'>Sr</th>";
                                    // echo "<th width='8%' class='dtype''>Barcode</th>";
                                    echo "<th width='8%' class='dtype'>Itemname</th>";
                                    echo "<th width='8%' class='dtype'>Size</th>";
                                    echo "<th width='6%' class='dtype'>HSN Code</th>";
                                    echo "<th width='6%' class='numeric dtype'>Qty</th>";
                                    echo "<th width='6%' class='numeric dtype'>Rate</th>";
                                    echo "<th width='6%' class='numeric dtype'>Amount</th>";
                                    echo "<th width='6%' class='numeric dtype'>Disc%</th>";
                                    echo "<th width='6%' class='numeric dtype'>Disc. Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>Taxable Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>CGST %</th>";
                                    echo "<th width='6%' class='numeric dtype'>CGST Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>SGST %</th>";
                                    echo "<th width='6%' class='numeric dtype'>SGST Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>IGST %</th>";
                                    echo "<th width='6%' class='numeric dtype'>IGST Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>Total</th>";
                                    echo "<tr>";

                                    $ctr2 = 0;
                                    $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = $tottaxable = $total = 0;

                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'") or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                        $item = mysqli_fetch_array($getitem);

                                        $ctr2++;
                                        echo "<tr>";
                                        echo "<td>$ctr2</td>";
                                        // echo "<td>$tran[barcode]</td>";
                                        echo "<td>$item[name]</td>";
                                        echo "<td>$tran[size]</td>";
                                        echo "<td>$tran[hsncode]</td>";
                                        echo "<td class='numeric'>$tran[qty]</td>";
                                        echo "<td class='numeric'>$tran[rate]</td>";
                                        echo "<td class='numeric'>$tran[amount]</td>";
                                        echo "<td class='numeric'>$tran[discperc]</td>";
                                        echo "<td class='numeric'>$tran[discount]</td>";
                                        echo "<td class='numeric'>$tran[subtot]</td>";
                                        echo "<td class='numeric'>$tran[cgstrate]</td>";
                                        echo "<td class='numeric'>$tran[cgstamt]</td>";
                                        echo "<td class='numeric'>$tran[sgstrate]</td>";
                                        echo "<td class='numeric'>$tran[sgstamt]</td>";
                                        echo "<td class='numeric'>$tran[igstrate]</td>";
                                        echo "<td class='numeric'>$tran[igstamt]</td>";
                                        echo "<td class='numeric'>$tran[total]</td>";
                                        echo "</tr>";

                                        $totamt = $totamt + $tran['amount'];
                                        $tottaxable = $tottaxable + $tran['subtot'];
                                        $totqty = $totqty + $tran['qty'];
                                        $totdisc = $totdisc + $tran['discperc'];
                                        $totdiscamt = $totdiscamt + $tran['discount'];
                                        $totcgst = $totcgst + $tran['cgstamt'];
                                        $totsgst = $totsgst + $tran['sgstamt'];
                                        $totigst = $totigst + $tran['igstamt'];
                                        $total = $total + $tran['total'];
                                    }
                                    echo "<tr> ";
                                    $colr1 = "blue";

                                    echo "<td style='color:$colr1'</td>";
                                    // echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1' id='font1'><h5><b>Total</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totqty</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1'></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totamt</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totdisc</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totdiscamt</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$tottaxable</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totcgst</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totsgst</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totigst</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$total</b></h5></td>";
                                    echo "</tr>";

                                    echo "</table>";
                                    echo "</td>";
                                }
                            }

                            $colr = "green";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            //                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$ttotamt</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totitmpr</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totdisc</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totpack</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$tottaxamt</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst5</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst12</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst18</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst28</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totbill</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
<?php
}
if (isset($_POST["excel"])) {

    include("includes/head_excel_rep.php");

    $contents .= "Sr., Invoice, Date, Party,GST No.,Amount,Item Discount,Bill Discount,Packing,Taxable Value,GST 5%,GST 12%,GST 18%,GST 28%,Bill. Amt\n";

    $ctr = 0;
    $ttotamt = 0;
    $totpack = 0;
    $totbill = 0;
    $totitmpr = 0;
    $totdisc = 0;
    $tottaxamt = 0;
    $totcgst = 0;
    $totsgst = 0;
    $totigst = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name`,`gstno` FROM `accmast` WHERE `accode`='$pmain[party]'") or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);
        $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'") or die(mysqli_error($conn));
        $sale = mysqli_fetch_array($getsale);

        $unclaimgst = $pmain["unclaimgst"];

        $colr = "";
        $unclaimhead = "";
        if ($unclaimgst == "1") {
            $unclaimhead = " - Unclaimed GST";
        }

        $ctr++;
        $contents .= $ctr . ",";
        $contents .= $pmain['invno'] . ",";
        $contents .= $pmain['mydt'] . ",";
        $contents .= $supp['name'] . " $unclaimhead" . ",";
        $contents .= $supp['gstno'] . ",";
        $contents .= $pmain['subtotal'] . ",";
        $contents .= $pmain['litemdisc'] . ",";
        $contents .= $pmain['discount'] . ",";
        $contents .= $pmain['packing'] . ",";
        $contents .= $pmain['tottaxamt'] . ",";
        $contents .= $pmain['totgst5'] . ",";
        $contents .= $pmain['totgst12'] . ",";
        $contents .= $pmain['totgst18'] . ",";
        $contents .= $pmain['totgst28'] . ",";
        $contents .= $pmain['netamt'] . "\n";

        $ttotamt = $ttotamt + $pmain['subtotal'];
        $totitmpr = $totitmpr + $pmain['litemdisc'];
        $totdisc = $totdisc + $pmain['discount'];
        $totpack = $totpack + $pmain['packing'];
        $tottaxamt = $tottaxamt + $pmain['tottaxamt'];
        $totgst5 = $totgst5 + $pmain['totgst5'];
        $totgst12 = $totgst12 + $pmain['totgst12'];
        $totgst18 = $totgst18 + $pmain['totgst18'];
        $totgst28 = $totgst28 + $pmain['totgst28'];
        $totbill = $totbill + $pmain['netamt'];

        if ($_POST["dtype"] == 2) {

            $contents .= "Sr.,Barcode,Itemname,Color,HSN Code,Qty,Rate,Amount,Disc%,Disc. Amt.,Taxable Amt.,CGST%,CGST Amt.,SGST %,SGST Amt,IGST %,IGST Amt.,Total\n";

            $ctr2 = 0;
            $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = $tottaxable = $total = 0;

            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'") or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'") or die(mysqli_error($conn));
                $color = mysqli_fetch_array($getcolor);

                $ctr2++;
                $contents .= $ctr2 . ",";
                // $contents .= $tran['barcode'] . ",";
                $contents .= $item['name'] . ",";
                $contents .= $color['name'] . ",";
                $contents .= $tran['hsncode'] . ",";
                $contents .= $tran['qty'] . ",";
                //                $contents.=$tran['unit'] . ",";
                //                $contents.=$tran['mrp'] . ",";
                $contents .= $tran['rate'] . ",";
                $contents .= $tran['amount'] . ",";
                $contents .= $tran['discperc'] . ",";
                $contents .= $tran['discount'] . ",";
                $contents .= $tran['subtot'] . ",";
                $contents .= $tran['cgstrate'] . ",";
                $contents .= $tran['cgstamt'] . ",";
                $contents .= $tran['sgstrate'] . ",";
                $contents .= $tran['sgstamt'] . ",";
                $contents .= $tran['igstrate'] . ",";
                $contents .= $tran['igstamt'] . ",";
                $contents .= $tran['total'] . "\n";

                $totamt = $totamt + $tran['amount'];
                $tottaxable = $tottaxable + $tran['subtot'];
                $totqty = $totqty + $tran['qty'];
                $totdisc = $totdisc + $tran['discperc'];
                $totdiscamt = $totdiscamt + $tran['discount'];
                $totcgst = $totcgst + $tran['cgstamt'];
                $totsgst = $totsgst + $tran['sgstamt'];
                $totigst = $totigst + $tran['igstamt'];
                $total = $total + $tran['total'];
            }
            $contents .= " " . ",";
            // $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= "Total" . ",";
            $contents .= $totqty . ",";
            //            $contents.=" " . ",";
            //            $contents.=" " . ",";
            $contents .= " " . ",";
            $contents .= $totamt . ",";
            $contents .= $totdiscamt . ",";
            $contents .= $tottaxable . ",";
            $contents .= " " . ",";
            $contents .= $totcgst . ",";
            $contents .= " " . ",";
            $contents .= $totsgst . ",";
            $contents .= " " . ",";
            $contents .= $totigst . ",";
            $contents .= $total . "\n";
        }
    }

    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= "Grand Total" . ",";
    $contents .= $ttotamt . ",";
    $contents .= $totitmpr . ",";
    $contents .= $totdisc . ",";
    $contents .= $totpack . ",";
    $contents .= $tottaxamt . ",";
    $contents .= $totgst5 . ",";
    $contents .= $totgst12 . ",";
    $contents .= $totgst18 . ",";
    $contents .= $totgst28 . ",";
    $contents .= $totbill . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename = $formname" . "_Summary" . date('d-m-Y') . " .csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . " .csv");
        print $contents;
    }
}

if (isset($_POST["tally"])) {
    include("includes/head_excel_rep.php");

    $getexcel = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` 
                WHERE `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond $salemcond $mscopecond ORDER BY vouchdt ASC") or die(mysqli_error($conn));

    // Initialize CSV content with headers
    $contents = "Sr.,Invoice,Date,Party,Address, State, Pincode, Country,GST No. ,Barcode,Itemname,Size, Finished Goods,HSN,Qty,Rate,Amount,Disc%,Disc. Amt.,Taxable Amt.,CGST%,CGST Amt.,SGST %,SGST Amt,IGST %,IGST Amt.,Total Amount,Item Discount,Bill Discount,Packing,Taxable Value,GST 5%,GST 12%,GST 18%,GST 28%, Bill. Amt, Roundoff, DR/CR Roundoff \n";

    $sr = 1;
    $prevvouch = 0;
    while ($pmain = mysqli_fetch_array($getexcel)) {
        // Get party/supplier details
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name`,`add1`,`add2`,`add3`,`state`,`pin`,`gstno`,`country` FROM `accmast` WHERE `accode`='{$pmain['party']}'") or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);

        $unclaimgst = $pmain["unclaimgst"];

        $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='{$pmain['vouchno']}'") or die(mysqli_error($conn));

        while ($tran = mysqli_fetch_array($gettran)) {
            $newvouch = $pmain['vouchno'];
            if ($prevvouch == $newvouch) {
                $vouchno = '';  // Empty for duplicate voucher numbers
                $invno = '';
                $mydt = '';
                $suppname = '';
                $address = '';
                $suppstate = '';
                $supppin =   '';
                $suppgstno = '';
                $suppcountry = '';
                $litemdisc = '';
                $discount = '';
                $packing = '';
                $tottaxamt = '';
                $totgst5 = '';
                $totgst12 = '';
                $totgst18 = '';
                $totgst28 = '';
                $netamt = '';
                $roundoff = '';
                $roundoffdrcr = '';
            } else {
                $vouchno = $newvouch;  // Show the voucher number for new vouchers
                $prevvouch = $newvouch;  // Update the previous voucher number
                $invno = $pmain['invno'];
                $mydt = $pmain['mydt'];
                $suppname = str_replace(",", " ", $supp['name']);
                $address = str_replace(",", " ", $supp['add1'] . ' ' . $supp['add2'] . ' ' . $supp['add3']);
                $suppstate = $supp['state'];
                $supppin = $supp['pin'];
                $suppgstno = $supp['gstno'];
                $suppcountry = $supp['country'];

                $litemdisc = $pmain['litemdisc'];
                $discount = $pmain['discount'];
                $packing = $pmain['packchgs'];
                $packgtperc = $pmain['packgtperc'];
                $tottaxamt = $pmain['tottaxamt'];
                if ($packgtperc == '5.00') {
                    $totgst5 = $pmain['totgst5'] + $pmain['packgtamt'];
                } else {
                    $totgst5 = $pmain['totgst5'];
                }
                if ($packgtperc == '12.00') {
                    $totgst12 = $pmain['totgst12'] + $pmain['packgtamt'];
                } else {
                    $totgst12 = $pmain['totgst12'];
                }
                if ($packgtperc == '18.00') {
                    $totgst18 = $pmain['totgst18'] + $pmain['packgtamt'];
                } else {
                    $totgst18 = $pmain['totgst18'];
                }
                if ($packgtperc == '28.00') {
                    $totgst28 = $pmain['totgst28'] + $pmain['packgtamt'];
                } else {
                    $totgst28 = $pmain['totgst28'];
                }
                // $totgst5 = $pmain['totgst5'];
                // $totgst12 = $pmain['totgst12'];
                // $totgst18 = $pmain['totgst18'];
                // $totgst28 = $pmain['totgst28'];
                $netamt = $pmain['netamt'];
                $newline = $contents .= "\n";
                $roundoff = $pmain['roundoff'];

                if ($roundoff > 0) {
                    $roundoffdrcr = "DR";
                } else {
                    $roundoffdrcr = "CR";
                }
            }
            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='{$tran['barcode']}'") or die(mysqli_error($conn));
            $item = mysqli_fetch_array($getitem);

            $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='{$tran['color']}'") or die(mysqli_error($conn));
            $color = mysqli_fetch_array($getcolor);

            $contents .= "{$sr},";
            $contents .= "{$invno},";
            $contents .= "{$mydt},";
            $contents .= "{$suppname},";
            $contents .= "{$address},";
            $contents .= "{$suppstate},";
            $contents .= "{$supppin},";
            $contents .= "{$suppcountry},";
            $contents .= "{$suppgstno},";
            $contents .= "{$tran['barcode']},";
            $contents .= "{$item['name']},";
            // $contents .= "{$color['name']},";
            $contents .= "{$tran['size']},";
            $contents .= "FINISHED GOODS,";
            $contents .= "{$tran['hsncode']},";
            $contents .= "{$tran['qty']},";
            $contents .= "{$tran['rate']},";
            $contents .= "{$tran['amount']},";
            $contents .= "{$tran['discperc']},";
            $contents .= "{$tran['discount']},";
            $contents .= "{$tran['subtot']},";
            $contents .= "{$tran['cgstrate']},";
            $contents .= "{$tran['cgstamt']},";
            $contents .= "{$tran['sgstrate']},";
            $contents .= "{$tran['sgstamt']},";
            $contents .= "{$tran['igstrate']},";
            $contents .= "{$tran['igstamt']},";
            $contents .= "{$tran['total']},";
            $contents .= "{$litemdisc},";
            $contents .= "{$discount},";
            $contents .= "{$packing},";
            $contents .= "{$tottaxamt},";
            $contents .= "{$totgst5},";
            $contents .= "{$totgst12},";
            $contents .= "{$totgst18},";
            $contents .= "{$totgst28},";
            $contents .= "{$netamt},";
            $contents .= "{$roundoff},";
            $contents .= "{$roundoffdrcr}\n";
            $newline;

            $sr++;
        }
    }

    $contents = strip_tags($contents);
    header("Content-Disposition: attachment; filename = $formname" . "_Tally Format" . date('d-m-Y') . " .csv");
    print $contents;
}

if (isset($_POST["tally2"])) {
    include("includes/head_excel_rep.php");

    $getexcel = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` 
                WHERE `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond $salemcond $mscopecond ORDER BY vouchdt ASC") or die(mysqli_error($conn));

    // Initialize CSV content with headers
    $contents = "Sr.,Voucher Date, Voucher Type Name, Voucher Number, Reference No., Reference Date, Buyer Supplier - Address,Buyer Supplier - GST IN/ UIN, Buyer/Supplier - State, Buyer/Supplier - Pincode, Buyer/Supplier - Country, Order Nos, Order Date, Mode/Terms of Payment,Other References, Terms Of Delivery, Ledger Name, Ledger Amount, Ledger Rate, Ledger Amount Dr/Cr, Item Name, Item Description,Actual Quantity, Billed Quantity, Item Rate, Disc %, Item Rate Per, Item Amount, Change Mode, Bill Type of Ref, Bill Name,Roundoff, Bill Amount, Bill Amount Dr/Cr, Bill Due Dt / Credit Days, Voucher Narration, e-Invoice - Bill to Place, e-Invoice - Ship to Place,e-Invoice - Dispatch From Name, e-Invoice - Dispatch From Address, e-Invoice - Dispatch From State, e-Invoice - Dispatch From Pincode,e-Invoice - Dispatch From Place\n";

    $sr = 1;
    $prevvouch = 0;
    while ($pmain = mysqli_fetch_array($getexcel)) {
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name`,`add1`,`add2`,`add3`,`state`,`pin`,`gstno`,`country` FROM `accmast` WHERE `accode`='{$pmain['party']}'") or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);

        $unclaimgst = $pmain["unclaimgst"];

        $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='{$pmain['salesman']}'") or die(mysqli_error($conn));
        $sale = mysqli_fetch_array($getsale);

        $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='{$pmain['vouchno']}'") or die(mysqli_error($conn));

        while ($tran = mysqli_fetch_array($gettran)) {
            $newvouch = $pmain['vouchno'];
            if ($prevvouch == $newvouch) {
                $vouchno = '';
                $invno = '';
                $vouchtype = '';
                $refno = "";
                $mydt = "";
                $suppname = "";
                $suppadd = "";
                $suppgstno = "";
                $suppstate = "";
                $supppin = "";
                $suppcountry = "";
                $refdt = "";
                $ordno = "";
                $orddt = "";
                $termspay = "";
                $othref = "";
                $termsdelv = "";
                $ledgername = "";
                $ledgeramt = "";
                $ledgerrate = "";
                $ledgeramtcrdr = "";
                $itemrateper = "";
                $changemod = "";
                $billtyperef = "";
                $billname = "";
                $billamt = "";
                $billamtdrcr = "Dr";
                $billduedt = "";
                $vouchnarr = "";
                $einvbilltoplace = "";
                $einvshiptoplace = "";
                $einvdisname = "";
                $einvdisadd = "";
                $einvdisstate = "";
                $einvdispin = "";
                $einvdisplace = "";
                $litemdisc = '';
                $discount = '';
                $packing = '';
                $tottaxamt = '';
                $totgst5 = '';
                $totgst12 = '';
                $totgst18 = '';
                $totgst28 = '';
                $netamt = '';
                $roundoff = '';
                $roundoffdrcr = '';
            } else {
                $refno = "";
                $refdt = "";
                $vouchtype = "Purchase Invoice";
                $vouchno = $newvouch;
                $invno = $pmain['invno'];
                $mydt = $pmain['mydt'];
                $suppname = str_replace(",", " ", $supp['name']);
                $suppadd = str_replace(",", " ", $supp['add1']) . str_replace(",", " ", $supp['add2']) . str_replace(",", " ", $supp['add3']);
                $suppgstno = $supp['gstno'];
                $suppstate = $supp['state'];
                $supppin = $supp['pin'];
                $suppcountry = $supp['country'];
                $ordno = "";
                $orddt = "";
                $termspay = "";
                $othref = "";
                $termsdelv = "";
                $ledgername = "";
                $ledgeramt = "";
                $ledgerrate = "";
                $ledgeramtcrdr = "";
                $itemrateper = "";
                $changemod = "";
                $billtyperef = "";
                $billname = "";
                $billamt = "";
                $billamtdrcr = "Dr";
                $billduedt = "";
                $vouchnarr = "";
                $einvbilltoplace = "";
                $einvshiptoplace = "";
                $einvdisname = "";
                $einvdisadd = "";
                $einvdisstate = "";
                $einvdispin = "";
                $einvdisplace = "";
                $prevvouch = $newvouch;
                $litemdisc = $pmain['litemdisc'];
                $discount = $pmain['discount'];
                $packing = $pmain['packing'];
                $tottaxamt = $pmain['tottaxamt'];
                $totgst5 = $pmain['totgst5'];
                $totgst12 = $pmain['totgst12'];
                $totgst18 = $pmain['totgst18'];
                $totgst28 = $pmain['totgst28'];
                $netamt = $pmain['netamt'];
                $roundoff = $pmain['roundoff'];
                $newline = $contents .= "\n";

                if ($roundoff > 0) {
                    $roundoffdrcr = "DR";
                } else {
                    $roundoffdrcr = "CR";
                }
            }
            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='{$tran['barcode']}'") or die(mysqli_error($conn));
            $item = mysqli_fetch_array($getitem);

            $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='{$tran['color']}'") or die(mysqli_error($conn));
            $color = mysqli_fetch_array($getcolor);


            $contents .= "{$sr},";
            $contents .= "{$mydt},";
            $contents .= "{$vouchtype},";
            $contents .= "{$invno},";
            $contents .= "{$refno},";
            $contents .= "{$refdt},";
            $contents .= "{$suppadd},";
            $contents .= "{$suppgstno},";
            $contents .= "{$suppstate},";
            $contents .= "{$supppin},";
            $contents .= "{$suppcountry},";
            $contents .= "{$ordno},";
            $contents .= "{$orddt},";
            $contents .= "{$termspay},";
            $contents .= "{$othref},";
            $contents .= "{$termsdelv},";
            $contents .= "{$ledgername},";
            $contents .= "{$ledgeramt},";
            $contents .= "{$ledgerrate},";
            $contents .= "{$ledgeramtcrdr},";
            $contents .= "{$item['name']},";
            $contents .= "{$item['name']},";
            $contents .= "{$tran['qty']},";
            $contents .= "{$tran['qty']},";
            $contents .= "{$tran['rate']},";
            $contents .= "{$tran['discperc']},";
            $contents .= "{$itemrateper},";
            $contents .= "{$tran['amount']},";
            $contents .= "{$changemod},";
            $contents .= "{$billtyperef},";
            $contents .= "{$billname},";
            $contents .= "{$roundoff},";
            $contents .= "{$roundoffdrcr},";
            $contents .= "{$billamt},";
            $contents .= "{$billamtdrcr},";
            $contents .= "{$billduedt},";
            $contents .= "{$vouchnarr},";
            $contents .= "{$einvsbilltoplace},";
            $contents .= "{$einvshiptoplace},";
            $contents .= "{$einvdisname},";
            $contents .= "{$einvdisadd},";
            $contents .= "{$einvdisstate},";
            $contents .= "{$einvdispin},";
            $contents .= "{$einvdisplace}\n";
            $newline;

            $sr++;
        }
    }

    $contents = strip_tags($contents);
    header("Content-Disposition: attachment; filename = $formname" . "_Tally Format_New_" . date('d-m-Y') . " .csv");
    print $contents;
}
?>